Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.utils
Class Settings.KEYS

    java.lang.Object
      org.owasp.dependencycheck.utils.Settings.KEYS

Enclosing class:
  Settings

    public static final class Settings.KEYS

extends Object

The collection of keys used within the properties file.

Field Summary
`static String` | `AUTO_UPDATE` The properties key indicating whether or not the cached data sources should be updated.
`static String` | `BATCH_UPDATE_URL` The location of the batch update URL.
`static String` | `CONNECTION_TIMEOUT` The properties key for the connection timeout.
`static String` | `CPE_DATA_DIRECTORY` The properties key for the path where the CPE Lucene Index will be stored.
`static String` | `CVE_DATA_DIRECTORY` The properties key for the path where the CVE H2 database will be stored.
`static String` | `CVE_META_URL` The properties key for the URL to retrieve the "meta" data from about the CVE entries.
`static String` | `CVE_MODIFIED_12_URL` The properties key for the URL to retrieve the recently modified and added CVE entries (last 8 days) using the 1.2 schema.
`static String` | `CVE_MODIFIED_20_URL` The properties key for the URL to retrieve the recently modified and added CVE entries (last 8 days) using the 2.0 schema.
`static String` | `CVE_MODIFIED_VALID_FOR_DAYS` The properties key for the URL to retrieve the recently modified and added CVE entries (last 8 days).
`static String` | `CVE_SCHEMA_1_2` The properties key for the CVE schema version 1.2.
`static String` | `CVE_SCHEMA_2_0` The properties key for the CVE schema version 2.0.
`static String` | `CVE_START_YEAR` The properties key for the telling us how many cvr.url.* URLs exists.
`static String` | `DATA_DIRECTORY` The base path to use for the data directory.
`static String` | `DB_CONNECTION_STRING` The database connection string.
`static String` | `DB_DRIVER` The database driver class name.
`static String` | `PROXY_PASSWORD` The properties key for the proxy password.
`static String` | `PROXY_PORT` The properties key for the proxy port - this must be an integer value.
`static String` | `PROXY_URL` The properties key for the proxy url.
`static String` | `PROXY_USERNAME` The properties key for the proxy username.
`static String` | `TEMP_DIRECTORY` The location of the temporary directory.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTO_UPDATE

    public static final String AUTO_UPDATE

  The properties key indicating whether or not the cached data sources should be updated.

  See Also:
    Constant Field Values

### DB_DRIVER

    public static final String DB_DRIVER

  The database driver class name. If this is not in the properties file the embedded database is used.

  See Also:
    Constant Field Values

### DB_CONNECTION_STRING

    public static final String DB_CONNECTION_STRING

  The database connection string. If this is not in the properties file the embedded database is used.

  See Also:
    Constant Field Values

### DATA_DIRECTORY

    public static final String DATA_DIRECTORY

  The base path to use for the data directory.

  See Also:
    Constant Field Values

### BATCH_UPDATE_URL

    public static final String BATCH_UPDATE_URL

  The location of the batch update URL. This is a zip file that contains the contents of the data directory.

  See Also:
    Constant Field Values

### CPE_DATA_DIRECTORY

    public static final String CPE_DATA_DIRECTORY

  The properties key for the path where the CPE Lucene Index will be stored.

  See Also:
    Constant Field Values

### CVE_DATA_DIRECTORY

    public static final String CVE_DATA_DIRECTORY

  The properties key for the path where the CVE H2 database will be stored.

  See Also:
    Constant Field Values

### CVE_META_URL

    public static final String CVE_META_URL

  The properties key for the URL to retrieve the "meta" data from about the CVE entries.

  See Also:
    Constant Field Values

### CVE_MODIFIED_20_URL

    public static final String CVE_MODIFIED_20_URL

  The properties key for the URL to retrieve the recently modified and added CVE entries (last 8 days) using the 2.0 schema.

  See Also:
    Constant Field Values

### CVE_MODIFIED_12_URL

    public static final String CVE_MODIFIED_12_URL

  The properties key for the URL to retrieve the recently modified and added CVE entries (last 8 days) using the 1.2 schema.

  See Also:
    Constant Field Values

### CVE_MODIFIED_VALID_FOR_DAYS

    public static final String CVE_MODIFIED_VALID_FOR_DAYS

  The properties key for the URL to retrieve the recently modified and added CVE entries (last 8 days).

  See Also:
    Constant Field Values

### CVE_START_YEAR

    public static final String CVE_START_YEAR

  The properties key for the telling us how many cvr.url.* URLs exists. This is used in combination with CVE_BASE_URL to be able to retrieve the URLs for all of the files that make up the NVD CVE listing.

  See Also:
    Constant Field Values

### CVE_SCHEMA_1_2

    public static final String CVE_SCHEMA_1_2

  The properties key for the CVE schema version 1.2.

  See Also:
    Constant Field Values

### CVE_SCHEMA_2_0

    public static final String CVE_SCHEMA_2_0

  The properties key for the CVE schema version 2.0.

  See Also:
    Constant Field Values

### PROXY_URL

    public static final String PROXY_URL

  The properties key for the proxy url.

  See Also:
    Constant Field Values

### PROXY_PORT

    public static final String PROXY_PORT

  The properties key for the proxy port - this must be an integer value.

  See Also:
    Constant Field Values

### PROXY_USERNAME

    public static final String PROXY_USERNAME

  The properties key for the proxy username.

  See Also:
    Constant Field Values

### PROXY_PASSWORD

    public static final String PROXY_PASSWORD

  The properties key for the proxy password.

  See Also:
    Constant Field Values

### CONNECTION_TIMEOUT

    public static final String CONNECTION_TIMEOUT

  The properties key for the connection timeout.

  See Also:
    Constant Field Values

### TEMP_DIRECTORY

    public static final String TEMP_DIRECTORY

  The location of the temporary directory.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.